dofile("data/scripts/lib/utilities.lua")

local player = get_players()[1]
local x, y = EntityGetTransform(player)

local e_braid = EntityGetWithName("braid")
local e_pouch = EntityGetWithName("pouch")
local e_pouchback = EntityGetWithName("pouchback")

local braid_VerletPhysics = EntityGetFirstComponent(e_braid, "VerletPhysicsComponent")
local pouch_VerletPhysics = EntityGetFirstComponent(e_pouch, "VerletPhysicsComponent")
local pouchback_VerletPhysics = EntityGetFirstComponent(e_pouchback, "VerletPhysicsComponent")


if ComponentGetValue( braid_VerletPhysics, "m_is_culled_previous" ) == "1" then
	EntityRemoveFromParent(e_braid)
    EntityKill(e_braid)
	EntityLoad("mods/mwp_player_frontline_witch/files/entities/verlet_chains/tw_braid/verlet_braid.xml",x,y)
	local new_braid = EntityGetWithName("braid")
	EntityAddChild(player,new_braid)
end

if ComponentGetValue( pouch_VerletPhysics, "m_is_culled_previous" ) == "1" then
	EntityRemoveFromParent(e_pouch)
    EntityKill(e_pouch)
	EntityLoad("mods/mwp_player_frontline_witch/files/entities/verlet_chains/tw_pouch/verlet_pouch.xml",x,y)
	local new_pouch = EntityGetWithName("pouch")
	EntityAddChild(player,new_pouch)
end

if ComponentGetValue( pouchback_VerletPhysics, "m_is_culled_previous" ) == "1" then
	EntityRemoveFromParent(e_pouchback)
    EntityKill(e_pouchback)
	EntityLoad("mods/mwp_player_frontline_witch/files/entities/verlet_chains/tw_pouchback/verlet_pouchback.xml",x,y)
	local new_pouchback = EntityGetWithName("pouchback")
	EntityAddChild(player,new_pouchback)
end