function OnPlayerSpawned(player_entity)
	if tonumber(StatsGetValue("playtime")) < 1 then
	
		local rifle_on = ModIsEnabled("mwp_starter_rifle")
		local smg_on = ModIsEnabled("mwp_starter_smg")
		local shotgun_on = ModIsEnabled("mwp_starter_shotgun")
		local sniper_on = ModIsEnabled("mwp_starter_sniper")
		local hmg_on = ModIsEnabled("mwp_starter_hmg")
		local launcher_on = ModIsEnabled("mwp_starter_launcher")
		local missile_on = ModIsEnabled("mwp_starter_missile")
		local cannon_on = ModIsEnabled("mwp_starter_cannon")
		local flak_on = ModIsEnabled("mwp_starter_flak")
		local railgun_on = ModIsEnabled("mwp_starter_railgun")
		local minigun_on = ModIsEnabled("mwp_starter_minigun")
		local laser_on = ModIsEnabled("mwp_starter_laser")
		gunwands_active = false
		
		if rifle_on == true or smg_on == true or shotgun_on == true or sniper_on == true or hmg_on == true or launcher_on == true or missile_on == true or cannon_on == true or flak_on == true or railgun_on == true or minigun_on == true or laser_on == true then
			gunwands_active = true
		end
	
		local inventory = EntityGetWithName("inventory_quick")
		if inventory ~= nil and gunwands_active == false then
			EntityAddChild( inventory, EntityLoad( "mods/mwp_gunwand/files/entities/items/gunwand_starter.xml" ) )
		end

		local px, py = EntityGetTransform( player_entity )
		local ent_target = EntityLoad("mods/mwp_gunwand/files/items_gfx/gw_scope_target.xml",px, py)
		local ent_guided = EntityLoad("mods/mwp_gunwand/files/items_gfx/gw_missile_target.xml",px, py)
		EntityAddChild(player_entity, ent_target)
		EntityAddChild(player_entity, ent_guided)
		
		EntityAddComponent( player_entity, "LuaComponent",
		{
		  remove_after_executed="0",
		  execute_every_n_frame="1",
		  script_source_file="mods/mwp_gunwand/files/scripts/gw_extra_controls.lua"
		} )
	end
end

ModLuaFileAppend( "data/scripts/gun/gun_actions.lua", "mods/mwp_gunwand/files/actions.lua" )
ModLuaFileAppend( "data/scripts/biomes/tower_end.lua", "mods/mwp_gunwand/files/tower_end_gunwands.lua" )


ModLuaFileAppend("data/scripts/biomes/coalmine.lua", "mods/mwp_gunwand/files/addstaff/addstaff_to_mines.lua")
ModLuaFileAppend("data/scripts/biomes/coalmine_alt.lua", "mods/mwp_gunwand/files/addstaff/addstaff_to_collapsed_mines.lua")
ModLuaFileAppend("data/scripts/biomes/excavationsite.lua", "mods/mwp_gunwand/files/addstaff/addstaff_to_coal_pits.lua")
ModLuaFileAppend("data/scripts/biomes/fungicave.lua", "mods/mwp_gunwand/files/addstaff/addstaff_to_fungal_caverns.lua")
ModLuaFileAppend("data/scripts/biomes/snowcave.lua", "mods/mwp_gunwand/files/addstaff/addstaff_to_snowy_depths.lua")
ModLuaFileAppend("data/scripts/biomes/snowcastle.lua", "mods/mwp_gunwand/files/addstaff/addstaff_to_hiisi_base.lua")
ModLuaFileAppend("data/scripts/biomes/rainforest.lua", "mods/mwp_gunwand/files/addstaff/addstaff_to_underground_jungle.lua")
ModLuaFileAppend("data/scripts/biomes/vault.lua", "mods/mwp_gunwand/files/addstaff/addstaff_to_the_vault.lua")
ModLuaFileAppend("data/scripts/biomes/vault_frozen.lua", "mods/mwp_gunwand/files/addstaff/addstaff_to_the_frozen_vault.lua")
ModLuaFileAppend("data/scripts/biomes/crypt.lua", "mods/mwp_gunwand/files/addstaff/addstaff_to_the_temple_of_the_art.lua")
ModLuaFileAppend("data/scripts/biomes/sandcave.lua", "mods/mwp_gunwand/files/addstaff/addstaff_to_sandcave.lua")
ModLuaFileAppend("data/scripts/biomes/tower.lua", "mods/mwp_gunwand/files/addstaff/addstaff_to_tower.lua")