dofile( "data/scripts/lib/utilities.lua" )

table.insert( perk_list, 
{
	id = "GW_SMALL_BACKPACK",
	ui_name = "GW-Small Backpack",
	ui_description = "A small backpack that adds another 16 slots to the inventory.",
	ui_icon = "mods/mwp_perks/files/ui_gfx/gw_small_backpack.png",
	perk_icon = "mods/mwp_perks/files/items_gfx/perks/gw_small_backpack.png",
	func = function(perk_item, player, item_name)
		local player = get_players()[1]
		local inven2Comp = EntityGetFirstComponent(player, "Inventory2Component")
		local slot_amount = ComponentGetValue(inven2Comp, "full_inventory_slots_y")

		ComponentSetValue(inven2Comp, "full_inventory_slots_y", slot_amount + 1)
	end,
})

table.insert( perk_list, 
{
	id = "GW_LARGE_BACKPACK",
	ui_name = "GW-Large Backpack",
	ui_description = "A large backpack that adds another 32 slots to the inventory.",
	ui_icon = "mods/mwp_perks/files/ui_gfx/gw_large_backpack.png",
	perk_icon = "mods/mwp_perks/files/items_gfx/perks/gw_large_backpack.png",
	func = function(perk_item, player, item_name)
		local player = get_players()[1]
		local inven2Comp = EntityGetFirstComponent(player, "Inventory2Component")
		local slot_amount = ComponentGetValue(inven2Comp, "full_inventory_slots_y")

		ComponentSetValue(inven2Comp, "full_inventory_slots_y", slot_amount + 2)
	end,
})