dofile("data/scripts/lib/utilities.lua")

local player = get_players()[1]
local player_vel = EntityGetFirstComponent(player, "VelocityComponent")
local player_vx, player_vy = ComponentGetValueVector2(player_vel, "mVelocity")

local invComp = EntityGetFirstComponent(player, "Inventory2Component")
local e_hand = ComponentGetValue(invComp, "mActiveItem", eid)

local e_arm = EntityGetWithName("arm_r")
local e_braid = EntityGetWithName("braid")
local e_pouch = EntityGetWithName("pouch")
local e_pouchback = EntityGetWithName("pouchback")


local braid_x, braid_y = EntityGetTransform(e_braid)
local pouch_x, pouch_y = EntityGetTransform(e_pouch)
local pouchback_x, pouchback_y = EntityGetTransform(e_pouchback)
local arm_x, arm_y = EntityGetTransform(e_arm)
local hand_x, hand_y = EntityGetTransform(e_hand)


EntitySetTransform(e_braid, braid_x + player_vx, braid_y + player_vy)
EntitySetTransform(e_pouch, pouch_x + player_vx, pouch_y + player_vy)
EntitySetTransform(e_pouchback, pouchback_x + player_vx, pouchback_y + player_vy)
EntitySetTransform(e_arm, arm_x + player_vx, arm_y + player_vy)
if hand_x ~= nil and hand_y ~= nil then
	EntitySetTransform(e_hand, hand_x + player_vx, hand_y + player_vy)
end